[CentOS] RE: Apache Install error on Centos 4.3

Joshua Gimer jgimer at gmail.com
Thu Mar 8 15:55:03 UTC 2007


You need the postgres libs. You can install them from the centosplus repo.
You can also find the RPM's here:

http://rpm.pbone.net/index.php3/stat/3/srodzaj/1/search/libpq.so.4

Thanks
Josh


On 3/8/07, Jim Perrin <jperrin at gmail.com> wrote:
>
> > make[1]: Entering directory `/home/odege/Desktop/httpd-2.2.4/support'
> > make[2]: Entering directory `/home/odege/Desktop/httpd- 2.2.4/support'
> > /usr/lib/apr-1/build/libtool --silent --mode=link gcc -pthread        -o
> > htpasswd  htpasswd.lo   -lm
> > /home/odege/Desktop/httpd-2.2.4/srclib/pcre/libpcre.la
> > /usr/lib/libaprutil-1.la -lldap -llber -ldb-4.2 -lexpat /usr/lib/libapr-
> 1.la
> > -lpthread -ldl
> > /usr/bin/ld: warning: libpq.so.4, needed by /usr/lib/libaprutil-1.so,
> not
> > found (try using -rpath or -rpath-link)
> > /usr/lib/libaprutil- 1.so: undefined reference to `PQgetResult'
> > /usr/lib/libaprutil-1.so: undefined reference to `PQconnectdb'
> > /usr/lib/libaprutil-1.so: undefined reference to `PQexec'
> > /usr/lib/libaprutil-1.so: undefined reference to `PQexecPrepared'
> > /usr/lib/libaprutil-1.so: undefined reference to `PQntuples'
> > /usr/lib/libaprutil-1.so: undefined reference to `PQreset'
> > /usr/lib/libaprutil-1.so: undefined reference to `PQsendQueryParams'
> > /usr/lib/libaprutil- 1.so: undefined reference to `PQexecParams'
> > /usr/lib/libaprutil-1.so: undefined reference to `PQclear'
> > /usr/lib/libaprutil-1.so: undefined reference to `PQresultStatus'
> > /usr/lib/libaprutil-1.so: undefined reference to `PQgetvalue'
> > /usr/lib/libaprutil-1.so: undefined reference to `PQstatus'
> > /usr/lib/libaprutil-1.so: undefined reference to `PQnfields'
> > /usr/lib/libaprutil-1.so: undefined reference to `PQcmdTuples'
> > /usr/lib/libaprutil- 1.so: undefined reference to `PQescapeString'
> > /usr/lib/libaprutil-1.so: undefined reference to `PQsendQueryPrepared'
> > /usr/lib/libaprutil-1.so: undefined reference to `PQfinish'
> > /usr/lib/libaprutil-1.so : undefined reference to `PQerrorMessage'
> > /usr/lib/libaprutil-1.so: undefined reference to `PQsendQuery'
> > collect2: ld returned 1 exit status
> > make[2]: *** [htpasswd] Error 1
> > make[2]: Leaving directory `/home/odege/Desktop/httpd- 2.2.4/support'
> > make[1]: *** [install-recursive] Error 1
> > make[1]: Leaving directory `/home/odege/Desktop/httpd-2.2.4/support'
> > make: *** [install-recursive] Error 1
> > [odege at localhost httpd-2.2.4]$
>
> Why do you need httpd 2.2.x? Is there a specific reason or module
> which you require? Why aren't you building this as an rpm?
> If you really insist on doing this, you're probably going to need to
> upgrade apr and pcre, as newer versions are required for httpd 2.2.x.
> If you're going this far, you may want to consider waiting a month for
> c5, or looking at a different distro.
>
>
> --
> During times of universal deceit, telling the truth becomes a
> revolutionary act.
> George Orwell
> _______________________________________________
> CentOS mailing list
> CentOS at centos.org
> http://lists.centos.org/mailman/listinfo/centos
>



-- 
Thx
Joshua Gimer
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://lists.centos.org/pipermail/centos/attachments/20070308/cd369155/attachment.htm


More information about the CentOS mailing list